--[[
@ by Ziuta
@ 06.09.2017
@ v1.0.0.0

https://www.facebook.com/ZTBModding/

You can use and edit but keep the original author ;)
]]

LockMauseControl = {}

function LockMauseControl.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Cylindered, specializations)
end

function LockMauseControl:load()
	self.lockMause = {}
	local i=0
    while true do
        local baseName = string.format("vehicle.movingTools.movingTool(%d)", i)
        if not hasXMLProperty(self.xmlFile, baseName) then
		    break			
        end
		local node = Utils.indexToObject(self.components, getXMLString(self.xmlFile, baseName.."#index"))
        if node ~= nil then
			local entry = {}
			entry.lockInacvtive = Utils.getNoNil(getXMLBool(self.xmlFile, baseName.."#lockInacvtive"), false)
			table.insert(self.lockMause, entry)
		end
		i=i+1
	end
end

function LockMauseControl:keyEvent(unicode, sym, modifier, isDown)
end

function LockMauseControl:mouseEvent(posX, posY, isDown, isUp, button)
end

function LockMauseControl:update(dt)
	if self.isClient then
		for i=1, table.getn(self.movingTools) do
			if self.hasPipe == nil then
				self.movingTools[i].isFreezed = self.lockMause[i].lockInacvtive				
			else
				self.movingTools[i].isFreezed = false
			end
		end
	end
end

function LockMauseControl:draw()
end

function LockMauseControl:delete()
end